MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
MrSIDImageStageManager Class Reference

`#include <MrSIDImageStageManager.h>`

Inheritance diagram for MrSIDImageStageManager:
[legend]
Collaboration diagram for MrSIDImageStageManager:
[legend]

## Classes
struct | TileInfo

## Public Types
enum | CompositeImageType { COMPOSITETYPE_MG2 = 1, COMPOSITETYPE_MG3 = 2, COMPOSITETYPE_MG4 = 3 }
| file format type of image tile More...

## Public Member Functions
LT_STATUS | initialize (const LTFileSpec &fileSpec, MrSIDMemoryUsage memoryUsage=MRSID_MEMORY_USAGE_DEFAULT, MrSIDStreamUsage streamUsage=MRSID_STREAM_USAGE_DEFAULT)
| initializer More...
LT_STATUS | initialize (LTIOStreamInf *stream, MrSIDMemoryUsage memoryUsage=MRSID_MEMORY_USAGE_DEFAULT, MrSIDStreamUsage streamUsage=MRSID_STREAM_USAGE_DEFAULT)
| initializer More...
LT_STATUS | createImageStage (lt_uint32 imageNumber, LTIImageStage *&imageStage)
| create an image stage More...
LT_STATUS | createOverviewImageStage (LTIImageStage *&imageStage)
| create an image stage that can be used as an overview of all other images. More...
LT_STATUS | createImageStage (lt_uint32 imageNumber, MrSIDSingleImageReaderBase *&imageStage)
LT_STATUS | createOverviewImageStage (MrSIDSingleImageReaderBase *&imageStage)
LT_STATUS | getMrSIDVersion (lt_uint8 &major, lt_uint8 &minor, lt_uint8 &tweak, char &letter) const
void | setMaxWorkerThreads (int numThreads)
int | getMaxWorkerThreads (void) const
MrSIDMemoryUsage | getMemoryUsage (void) const
MrSIDStreamUsage | getStreamUsage (void) const
bool | hasMG2Tiles (void) const
bool | hasMG3Tiles (void) const
bool | hasMG4Tiles (void) const
bool | isOptimizable (void) const
bool | hasOverviewImage (void) const
const TileInfo * | getTileInfo (lt_uint32 index) const
const TileInfo * | getOverviewInfo () const
lt_uint32 | findTileId (lt_uint32 id) const
const MG3Container * | getContainer (void) const
void | treatMG3asMG4 (void)
Public Member Functions inherited from LTIImageStageManager
virtual LT_STATUS | createImageProps (lt_uint32 imageNumber, LTIImage *&imageProps)
| create an image properties More...
virtual LTIImageStage * | createImageStage (lt_uint32 imageNumber)
lt_uint32 | getNumImages (void) const
| get the number of images the object is managing More...
Public Member Functions inherited from LTIReferenceCountedObject
virtual void | retain (void) const
| increment reference counter More...
virtual void | release (void) const
| decrement the reference counter and delete the object when the counter is zero More...

## Static Public Member Functions
static MrSIDImageStageManager * | create (void)

## Protected Member Functions
| MrSIDImageStageManager (void)
virtual | ~MrSIDImageStageManager (void)
LT_STATUS | init (lt_uint32 numImages, MrSIDMemoryUsage memoryUsage, MrSIDStreamUsage streamUsage)
virtual LT_STATUS | updateMemoryModel ()
virtual LT_STATUS | createMG2Reader (lt_uint32 imageNumber, MG2ImageReader *&mg2Reader)
virtual LT_STATUS | createMG3Reader (lt_uint32 imageNumber, MG3SingleImageReader *&mg3Reader)
virtual LT_STATUS | createMG4Reader (lt_uint32 imageNumber, MG4SingleImageReader *&mg4Reader)
Protected Member Functions inherited from LTIImageStageManager
| LTIImageStageManager (void)
virtual | ~LTIImageStageManager (void)
virtual void | setNumImages (lt_uint32 numImages)
| The derived class needs to call this. More...
Protected Member Functions inherited from LTIReferenceCountedObject
| LTIReferenceCountedObject (void)
virtual | ~LTIReferenceCountedObject (void)

## Protected Attributes
LTIOStreamInf * | m_stream
bool | m_ownStream
MrSIDMemoryUsage | m_memoryUsage
MrSIDStreamUsage | m_streamUsage
lt_uint8 | m_major
lt_uint8 | m_minor
lt_uint8 | m_tweak
char | m_letter
MG3Container * | m_container
TileInfo * | m_tileInfo
TileInfo * | m_overviewInfo
bool | m_hasMG2Tiles
bool | m_hasMG3Tiles
bool | m_hasMG4Tiles
int | m_numThreads

## Detailed Description

Definition at line 27 of file MrSIDImageStageManager.h.

## Member Enumeration Documentation

enum MrSIDImageStageManager::CompositeImageType

Enumerator
COMPOSITETYPE_MG2 |
COMPOSITETYPE_MG3 |
COMPOSITETYPE_MG4 |

Definition at line 88 of file MrSIDImageStageManager.h.

## Constructor & Destructor Documentation

MrSIDImageStageManager::MrSIDImageStageManager | ( | void | ) |  |
| protected

virtual MrSIDImageStageManager::~MrSIDImageStageManager | ( | void | ) |  |
| protected virtual

## Member Function Documentation

static MrSIDImageStageManager* MrSIDImageStageManager::create | ( | void | ) |  |
| static

LT_STATUS MrSIDImageStageManager::createImageStage | ( | lt_uint32 | imageNumber,
|  | LTIImageStage *& | imageStage
| ) |  |
| virtual

Note when done with the image stage call imageStage->release().

Parameters

  imageNumber | number of the image (zero based)
  imageStage | a pointer to the created image stage

Reimplemented from LTIImageStageManager.

LT_STATUS MrSIDImageStageManager::createImageStage | ( | lt_uint32 | imageNumber,
|  | MrSIDSingleImageReaderBase *& | imageStage
| ) |  |

virtual LT_STATUS MrSIDImageStageManager::createMG2Reader | ( | lt_uint32 | imageNumber,
|  | MG2ImageReader *& | mg2Reader
| ) |  |
| protected virtual

virtual LT_STATUS MrSIDImageStageManager::createMG3Reader | ( | lt_uint32 | imageNumber,
|  | MG3SingleImageReader *& | mg3Reader
| ) |  |
| protected virtual

virtual LT_STATUS MrSIDImageStageManager::createMG4Reader | ( | lt_uint32 | imageNumber,
|  | MG4SingleImageReader *& | mg4Reader
| ) |  |
| protected virtual

LT_STATUS MrSIDImageStageManager::createOverviewImageStage | ( | LTIImageStage *& | imageStage) |  |
| virtual

If an overview does not exsit this method returns LT_STS_Success and sets imageStage to NULL.

Parameters

  imageStage | a pointer to the created image stage

Reimplemented from LTIImageStageManager.

LT_STATUS MrSIDImageStageManager::createOverviewImageStage | ( | MrSIDSingleImageReaderBase *& | imageStage) |  |

lt_uint32 MrSIDImageStageManager::findTileId | ( | lt_uint32 | id) |  | const

const MG3Container* MrSIDImageStageManager::getContainer | ( | void | ) |  | const

int MrSIDImageStageManager::getMaxWorkerThreads | ( | void | ) |  | const

MrSIDMemoryUsage MrSIDImageStageManager::getMemoryUsage | ( | void | ) |  | const

LT_STATUS MrSIDImageStageManager::getMrSIDVersion | ( | lt_uint8 & | major,
|  | lt_uint8 & | minor,
|  | lt_uint8 & | tweak,
|  | char & | letter
| ) |  | const

const TileInfo* MrSIDImageStageManager::getOverviewInfo | ( | ) |  | const

MrSIDStreamUsage MrSIDImageStageManager::getStreamUsage | ( | void | ) |  | const

const TileInfo* MrSIDImageStageManager::getTileInfo | ( | lt_uint32 | index) |  | const

bool MrSIDImageStageManager::hasMG2Tiles | ( | void | ) |  | const

bool MrSIDImageStageManager::hasMG3Tiles | ( | void | ) |  | const

bool MrSIDImageStageManager::hasMG4Tiles | ( | void | ) |  | const

bool MrSIDImageStageManager::hasOverviewImage | ( | void | ) |  | const

LT_STATUS MrSIDImageStageManager::init | ( | lt_uint32 | numImages,
|  | MrSIDMemoryUsage | memoryUsage,
|  | MrSIDStreamUsage | streamUsage
| ) |  |
| protected

LT_STATUS MrSIDImageStageManager::initialize | ( | const LTFileSpec & | fileSpec,
|  | MrSIDMemoryUsage | memoryUsage = `MRSID_MEMORY_USAGE_DEFAULT`,
|  | MrSIDStreamUsage | streamUsage = `MRSID_STREAM_USAGE_DEFAULT`
| ) |  |

Parameters

  fileSpec | file containing MrSID image
  memoryUsage | control memory resource usage
  streamUsage | control stream resource usage

LT_STATUS MrSIDImageStageManager::initialize | ( | LTIOStreamInf * | stream,
|  | MrSIDMemoryUsage | memoryUsage = `MRSID_MEMORY_USAGE_DEFAULT`,
|  | MrSIDStreamUsage | streamUsage = `MRSID_STREAM_USAGE_DEFAULT`
| ) |  |

Parameters

  stream | stream containing MrSID image (may not be NULL)
  memoryUsage | control memory resource usage
  streamUsage | control stream resource usage

bool MrSIDImageStageManager::isOptimizable | ( | void | ) |  | const

void MrSIDImageStageManager::setMaxWorkerThreads | ( | int | numThreads) |  |

void MrSIDImageStageManager::treatMG3asMG4 | ( | void | ) |  |

virtual LT_STATUS MrSIDImageStageManager::updateMemoryModel | ( | ) |  |
| protected virtual

## Member Data Documentation

MG3Container* MrSIDImageStageManager::m_container
| protected

Definition at line 144 of file MrSIDImageStageManager.h.

bool MrSIDImageStageManager::m_hasMG2Tiles
| protected

Definition at line 147 of file MrSIDImageStageManager.h.

bool MrSIDImageStageManager::m_hasMG3Tiles
| protected

Definition at line 148 of file MrSIDImageStageManager.h.

bool MrSIDImageStageManager::m_hasMG4Tiles
| protected

Definition at line 149 of file MrSIDImageStageManager.h.

char MrSIDImageStageManager::m_letter
| protected

Definition at line 143 of file MrSIDImageStageManager.h.

lt_uint8 MrSIDImageStageManager::m_major
| protected

Definition at line 140 of file MrSIDImageStageManager.h.

MrSIDMemoryUsage MrSIDImageStageManager::m_memoryUsage
| protected

Definition at line 138 of file MrSIDImageStageManager.h.

lt_uint8 MrSIDImageStageManager::m_minor
| protected

Definition at line 141 of file MrSIDImageStageManager.h.

int MrSIDImageStageManager::m_numThreads
| protected

Definition at line 150 of file MrSIDImageStageManager.h.

TileInfo* MrSIDImageStageManager::m_overviewInfo
| protected

Definition at line 146 of file MrSIDImageStageManager.h.

bool MrSIDImageStageManager::m_ownStream
| protected

Definition at line 136 of file MrSIDImageStageManager.h.

LTIOStreamInf* MrSIDImageStageManager::m_stream
| protected

Definition at line 135 of file MrSIDImageStageManager.h.

MrSIDStreamUsage MrSIDImageStageManager::m_streamUsage
| protected

Definition at line 139 of file MrSIDImageStageManager.h.

TileInfo* MrSIDImageStageManager::m_tileInfo
| protected

Definition at line 145 of file MrSIDImageStageManager.h.

lt_uint8 MrSIDImageStageManager::m_tweak
| protected

Definition at line 142 of file MrSIDImageStageManager.h.

The documentation for this class was generated from the following file:

- MrSIDImageStageManager.h

LizardTech